Bug 1420555 - Service dialog dropdown differs from what is processed by service request
Summary: Service dialog dropdown differs from what is processed by service request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: service:dialog
Depends On: 1411541
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 00:10 UTC by Satoe Imaishi
Modified: 2020-07-16 09:11 UTC (History)
14 users (show)

Fixed In Version: 5.7.1.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411541
Environment:
Last Closed: 2017-02-27 19:31:25 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 Satoe Imaishi 2017-02-14 13:06:14 UTC
Service UI PR: https://github.com/ManageIQ/manageiq-ui-service/pull/512

Comment 3 eclarizi 2017-02-14 16:53:23 UTC
Main repo PR: https://github.com/ManageIQ/manageiq/pull/13778

Comment 4 eclarizi 2017-02-14 16:56:39 UTC
Oops, that link in comment 3 should say "Darga backport for main repo PR".
Darga backport for SUI: https://github.com/ManageIQ/manageiq-ui-service/pull/513

And as of this comment, that Darga backport for SUI hasn't been merged, so moving this back to ON_DEV instead of POST.

Comment 5 Satoe Imaishi 2017-02-14 18:37:19 UTC
This BZ is for 5.7.z, so no need to wait for Darga backport.

Comment 6 Shveta 2017-02-18 00:31:48 UTC
Correct parameters are processed in 5.7.1.2.20170214162958_ebaba61

Comment 7 CFME Bot 2017-02-21 17:05:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b89f5b59f03b5df59fd13e5f82251bc3bb784c55

commit b89f5b59f03b5df59fd13e5f82251bc3bb784c55
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Mon Feb 20 09:28:08 2017 -0800
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Tue Feb 21 07:40:18 2017 -0800

    Force triggering of fields set to auto-refresh
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1420555

 app/helpers/application_helper/dialogs.rb                         | 4 ++++
 app/views/shared/dialogs/_dialog_field_check_box.html.haml        | 4 +++-
 .../dialogs/_dialog_field_date_and_date_time_control.html.haml    | 4 +++-
 app/views/shared/dialogs/_dialog_field_drop_down_list.html.haml   | 4 +++-
 app/views/shared/dialogs/_dialog_field_radio_button.html.haml     | 4 +++-
 app/views/shared/dialogs/_dialog_field_text_area_box.html.haml    | 4 +++-
 app/views/shared/dialogs/_dialog_field_text_box.html.haml         | 4 +++-
 spec/helpers/application_helper/dialogs_spec.rb                   | 8 ++++++++
 8 files changed, 30 insertions(+), 6 deletions(-)

Comment 8 Satoe Imaishi 2017-02-21 17:20:59 UTC
New PRs

Classic UI - https://github.com/ManageIQ/manageiq/pull/13994
Service UI - https://github.com/ManageIQ/manageiq-ui-service/pull/524

Comment 9 Shveta 2017-02-23 20:44:16 UTC
Values are refreshed in dynamic drop downs . 
With the attached dialog and automate method .

selecting value in first drop down refreshed values in location (second)

Verified in 5.7.1.3.20170221135006_818f133

Comment 11 errata-xmlrpc 2017-02-27 19:31:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.